MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032320Open CASCADE[OCCT] OCCT:Documentationpublic2021-04-22 20:492021-04-25 12:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032320: Documentation - mention rapidjson-dev and qtcreator within Debian packages
DescriptionIt is proposed to mention extra packages useful for building OCCT.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100516)
git (administrator)
2021-04-22 20:57

Branch CR32320 has been created by kgv.

SHA-1: d16338a3f7320e30b204b0fca86d7cc7ed7d4ecb


Detailed log of new commits:

Author: kgv
Date: Thu Apr 22 20:57:38 2021 +0300

    0032320: Documentation - mention rapidjson-dev and qtcreator within Debian packages
(0100517)
kgv (developer)
2021-04-22 20:59

Please raise the patch
- OCCT: branch CR32320.
(0100549)
bugmaster (administrator)
2021-04-25 10:59

Combination -
OCCT branch : IR-2021-04-23
master SHA - fd2efe5428b3b2b9d300b0612c0a53ee2486ba64
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-23 SHA - 740db2b9c0429fd95b1e8cf3790001245aaec02b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17901.710000000523 / 17988.35000000045 [-0.48%]
Products
Total CPU difference: 11558.800000000136 / 11564.760000000093 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 5522.40625 / 5520.953125 [+0.03%]
Products
Total CPU difference: 12871.203125 / 12932.890625 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100553)
git (administrator)
2021-04-25 12:24

Branch CR32320 has been deleted by inv.

SHA-1: d16338a3f7320e30b204b0fca86d7cc7ed7d4ecb

- Related Changesets
occt: master fd2efe54
Timestamp: 2021-04-22 17:57:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032320: Documentation - mention rapidjson-dev and qtcreator within Debian packages
mod - adm/qmake/Occt.pro Diff ] File ]
add - adm/qmake/qtcreator-occt-cpp.xml Diff ] File ]
mod - dox/build/build_3rdparty/building_3rdparty.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-22 20:49 kgv New Issue
2021-04-22 20:49 kgv Assigned To => kgv
2021-04-22 20:56 kgv Summary Documentation - describe rapidjson-dev and qtcreator within Debian packages => Documentation - mention rapidjson-dev and qtcreator within Debian packages
2021-04-22 20:57 git Note Added: 0100516
2021-04-22 20:59 kgv Note Added: 0100517
2021-04-22 20:59 kgv Assigned To kgv => bugmaster
2021-04-22 20:59 kgv Status new => resolved
2021-04-22 20:59 kgv Status resolved => reviewed
2021-04-25 10:59 bugmaster Note Added: 0100549
2021-04-25 10:59 bugmaster Status reviewed => tested
2021-04-25 11:13 bugmaster Test case number => Not required
2021-04-25 11:55 bugmaster Changeset attached => occt master fd2efe54
2021-04-25 11:55 bugmaster Status tested => verified
2021-04-25 11:55 bugmaster Resolution open => fixed
2021-04-25 12:24 git Note Added: 0100553


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker